Index: linux-kj/drivers/scsi/FlashPoint.c
===================================================================
--- linux-kj.orig/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
+++ linux-kj/drivers/scsi/FlashPoint.c	2005-12-05 13:19:06.000000000 +0300
@@ -962,139 +784,146 @@ typedef struct SCCBscam_info {
 #define MENABLE_INT(p_port) (WR_HARPOON(p_port+hp_page_ctrl, \
                              (RD_HARPOON(p_port+hp_page_ctrl) & ~G_INT_DISABLE)))
 
-
-
-
-static unsigned char FPT_sisyncn(unsigned long port, unsigned char p_card, unsigned char syncFlag);
-static void  FPT_ssel(unsigned long port, unsigned char p_card);
-static void  FPT_sres(unsigned long port, unsigned char p_card, struct sccb_card * pCurrCard);
-static void  FPT_shandem(unsigned long port, unsigned char p_card,struct sccb * pCurrSCCB);
-static void  FPT_stsyncn(unsigned long port, unsigned char p_card);
-static void  FPT_sisyncr(unsigned long port,unsigned char sync_pulse, unsigned char offset);
-static void  FPT_sssyncv(unsigned long p_port, unsigned char p_id, unsigned char p_sync_value,
-			 struct sccb_mgr_tar_info * currTar_Info);
-static void  FPT_sresb(unsigned long port, unsigned char p_card);
-static void  FPT_sxfrp(unsigned long p_port, unsigned char p_card);
-static void  FPT_schkdd(unsigned long port, unsigned char p_card);
+static unsigned char FPT_sisyncn(unsigned long port, unsigned char p_card,
+				 unsigned char syncFlag);
+static void FPT_ssel(unsigned long port, unsigned char p_card);
+static void FPT_sres(unsigned long port, unsigned char p_card,
+		     struct sccb_card *pCurrCard);
+static void FPT_shandem(unsigned long port, unsigned char p_card,
+			struct sccb *pCurrSCCB);
+static void FPT_stsyncn(unsigned long port, unsigned char p_card);
+static void FPT_sisyncr(unsigned long port, unsigned char sync_pulse,
+			unsigned char offset);
+static void FPT_sssyncv(unsigned long p_port, unsigned char p_id,
+			unsigned char p_sync_value,
+			struct sccb_mgr_tar_info *currTar_Info);
+static void FPT_sresb(unsigned long port, unsigned char p_card);
+static void FPT_sxfrp(unsigned long p_port, unsigned char p_card);
+static void FPT_schkdd(unsigned long port, unsigned char p_card);
 static unsigned char FPT_RdStack(unsigned long port, unsigned char index);
-static void  FPT_WrStack(unsigned long portBase, unsigned char index, unsigned char data);
+static void FPT_WrStack(unsigned long portBase, unsigned char index,
+			unsigned char data);
 static unsigned char FPT_ChkIfChipInitialized(unsigned long ioPort);
 
 static void FPT_SendMsg(unsigned long port, unsigned char message);
-static void  FPT_queueFlushTargSccb(unsigned char p_card, unsigned char thisTarg,
-				    unsigned char error_code);
+static void FPT_queueFlushTargSccb(unsigned char p_card, unsigned char thisTarg,
+				   unsigned char error_code);
 
-static void  FPT_sinits(struct sccb * p_sccb, unsigned char p_card);
-static void  FPT_RNVRamData(struct nvram_info * pNvRamInfo);
+static void FPT_sinits(struct sccb *p_sccb, unsigned char p_card);
+static void FPT_RNVRamData(struct nvram_info *pNvRamInfo);
 
 static unsigned char FPT_siwidn(unsigned long port, unsigned char p_card);
-static void  FPT_stwidn(unsigned long port, unsigned char p_card);
-static void  FPT_siwidr(unsigned long port, unsigned char width);
+static void FPT_stwidn(unsigned long port, unsigned char p_card);
+static void FPT_siwidr(unsigned long port, unsigned char width);
 
-
-static void  FPT_queueSelectFail(struct sccb_card * pCurrCard, unsigned char p_card);
-static void  FPT_queueDisconnect(struct sccb * p_SCCB, unsigned char p_card);
-static void  FPT_queueCmdComplete(struct sccb_card * pCurrCard, struct sccb * p_SCCB,
+static void FPT_queueSelectFail(struct sccb_card *pCurrCard,
+				unsigned char p_card);
+static void FPT_queueDisconnect(struct sccb *p_SCCB, unsigned char p_card);
+static void FPT_queueCmdComplete(struct sccb_card *pCurrCard,
+				 struct sccb *p_SCCB, unsigned char p_card);
+static void FPT_queueSearchSelect(struct sccb_card *pCurrCard,
 				  unsigned char p_card);
-static void  FPT_queueSearchSelect(struct sccb_card * pCurrCard, unsigned char p_card);
-static void  FPT_queueFlushSccb(unsigned char p_card, unsigned char error_code);
-static void  FPT_queueAddSccb(struct sccb * p_SCCB, unsigned char card);
-static unsigned char FPT_queueFindSccb(struct sccb * p_SCCB, unsigned char p_card);
-static void  FPT_utilUpdateResidual(struct sccb * p_SCCB);
+static void FPT_queueFlushSccb(unsigned char p_card, unsigned char error_code);
+static void FPT_queueAddSccb(struct sccb *p_SCCB, unsigned char card);
+static unsigned char FPT_queueFindSccb(struct sccb *p_SCCB,
+				       unsigned char p_card);
+static void FPT_utilUpdateResidual(struct sccb *p_SCCB);
 static unsigned short FPT_CalcCrc16(unsigned char buffer[]);
-static unsigned char  FPT_CalcLrc(unsigned char buffer[]);
-
-
-static void  FPT_Wait1Second(unsigned long p_port);
-static void  FPT_Wait(unsigned long p_port, unsigned char p_delay);
-static void  FPT_utilEEWriteOnOff(unsigned long p_port,unsigned char p_mode);
-static void  FPT_utilEEWrite(unsigned long p_port, unsigned short ee_data, unsigned short ee_addr);
-static unsigned short FPT_utilEERead(unsigned long p_port, unsigned short ee_addr);
-static unsigned short FPT_utilEEReadOrg(unsigned long p_port, unsigned short ee_addr);
-static void  FPT_utilEESendCmdAddr(unsigned long p_port, unsigned char ee_cmd, unsigned short ee_addr);
-
-
-
-static void  FPT_phaseDataOut(unsigned long port, unsigned char p_card);
-static void  FPT_phaseDataIn(unsigned long port, unsigned char p_card);
-static void  FPT_phaseCommand(unsigned long port, unsigned char p_card);
-static void  FPT_phaseStatus(unsigned long port, unsigned char p_card);
-static void  FPT_phaseMsgOut(unsigned long port, unsigned char p_card);
-static void  FPT_phaseMsgIn(unsigned long port, unsigned char p_card);
-static void  FPT_phaseIllegal(unsigned long port, unsigned char p_card);
-
-static void  FPT_phaseDecode(unsigned long port, unsigned char p_card);
-static void  FPT_phaseChkFifo(unsigned long port, unsigned char p_card);
-static void  FPT_phaseBusFree(unsigned long p_port, unsigned char p_card);
-
-
-
-
-static void  FPT_XbowInit(unsigned long port, unsigned char scamFlg);
-static void  FPT_BusMasterInit(unsigned long p_port);
-static void  FPT_DiagEEPROM(unsigned long p_port);
-
-
-
+static unsigned char FPT_CalcLrc(unsigned char buffer[]);
 
-static void  FPT_dataXferProcessor(unsigned long port, struct sccb_card * pCurrCard);
-static void  FPT_busMstrSGDataXferStart(unsigned long port, struct sccb * pCurrSCCB);
-static void  FPT_busMstrDataXferStart(unsigned long port, struct sccb * pCurrSCCB);
-static void  FPT_hostDataXferAbort(unsigned long port, unsigned char p_card, struct sccb * pCurrSCCB);
-static void  FPT_hostDataXferRestart(struct sccb * currSCCB);
-
-
-static unsigned char FPT_SccbMgr_bad_isr(unsigned long p_port, unsigned char p_card,
-				 struct sccb_card * pCurrCard, unsigned short p_int);
-
-static void  FPT_SccbMgrTableInitAll(void);
-static void  FPT_SccbMgrTableInitCard(struct sccb_card * pCurrCard, unsigned char p_card);
-static void  FPT_SccbMgrTableInitTarget(unsigned char p_card, unsigned char target);
-
-
-
-static void  FPT_scini(unsigned char p_card, unsigned char p_our_id, unsigned char p_power_up);
-
-static int   FPT_scarb(unsigned long p_port, unsigned char p_sel_type);
-static void  FPT_scbusf(unsigned long p_port);
-static void  FPT_scsel(unsigned long p_port);
-static void  FPT_scasid(unsigned char p_card, unsigned long p_port);
+static void FPT_Wait1Second(unsigned long p_port);
+static void FPT_Wait(unsigned long p_port, unsigned char p_delay);
+static void FPT_utilEEWriteOnOff(unsigned long p_port, unsigned char p_mode);
+static void FPT_utilEEWrite(unsigned long p_port, unsigned short ee_data,
+			    unsigned short ee_addr);
+static unsigned short FPT_utilEERead(unsigned long p_port,
+				     unsigned short ee_addr);
+static unsigned short FPT_utilEEReadOrg(unsigned long p_port,
+					unsigned short ee_addr);
+static void FPT_utilEESendCmdAddr(unsigned long p_port, unsigned char ee_cmd,
+				  unsigned short ee_addr);
+
+static void FPT_phaseDataOut(unsigned long port, unsigned char p_card);
+static void FPT_phaseDataIn(unsigned long port, unsigned char p_card);
+static void FPT_phaseCommand(unsigned long port, unsigned char p_card);
+static void FPT_phaseStatus(unsigned long port, unsigned char p_card);
+static void FPT_phaseMsgOut(unsigned long port, unsigned char p_card);
+static void FPT_phaseMsgIn(unsigned long port, unsigned char p_card);
+static void FPT_phaseIllegal(unsigned long port, unsigned char p_card);
+
+static void FPT_phaseDecode(unsigned long port, unsigned char p_card);
+static void FPT_phaseChkFifo(unsigned long port, unsigned char p_card);
+static void FPT_phaseBusFree(unsigned long p_port, unsigned char p_card);
+
+static void FPT_XbowInit(unsigned long port, unsigned char scamFlg);
+static void FPT_BusMasterInit(unsigned long p_port);
+static void FPT_DiagEEPROM(unsigned long p_port);
+
+static void FPT_dataXferProcessor(unsigned long port,
+				  struct sccb_card *pCurrCard);
+static void FPT_busMstrSGDataXferStart(unsigned long port,
+				       struct sccb *pCurrSCCB);
+static void FPT_busMstrDataXferStart(unsigned long port,
+				     struct sccb *pCurrSCCB);
+static void FPT_hostDataXferAbort(unsigned long port, unsigned char p_card,
+				  struct sccb *pCurrSCCB);
+static void FPT_hostDataXferRestart(struct sccb *currSCCB);
+
+static unsigned char FPT_SccbMgr_bad_isr(unsigned long p_port,
+					 unsigned char p_card,
+					 struct sccb_card *pCurrCard,
+					 unsigned short p_int);
+
+static void FPT_SccbMgrTableInitAll(void);
+static void FPT_SccbMgrTableInitCard(struct sccb_card *pCurrCard,
+				     unsigned char p_card);
+static void FPT_SccbMgrTableInitTarget(unsigned char p_card,
+				       unsigned char target);
+
+static void FPT_scini(unsigned char p_card, unsigned char p_our_id,
+		      unsigned char p_power_up);
+
+static int FPT_scarb(unsigned long p_port, unsigned char p_sel_type);
+static void FPT_scbusf(unsigned long p_port);
+static void FPT_scsel(unsigned long p_port);
+static void FPT_scasid(unsigned char p_card, unsigned long p_port);
 static unsigned char FPT_scxferc(unsigned long p_port, unsigned char p_data);
-static unsigned char FPT_scsendi(unsigned long p_port, unsigned char p_id_string[]);
-static unsigned char FPT_sciso(unsigned long p_port, unsigned char p_id_string[]);
-static void  FPT_scwirod(unsigned long p_port, unsigned char p_data_bit);
-static void  FPT_scwiros(unsigned long p_port, unsigned char p_data_bit);
+static unsigned char FPT_scsendi(unsigned long p_port,
+				 unsigned char p_id_string[]);
+static unsigned char FPT_sciso(unsigned long p_port,
+			       unsigned char p_id_string[]);
+static void FPT_scwirod(unsigned long p_port, unsigned char p_data_bit);
+static void FPT_scwiros(unsigned long p_port, unsigned char p_data_bit);
 static unsigned char FPT_scvalq(unsigned char p_quintet);
 static unsigned char FPT_scsell(unsigned long p_port, unsigned char targ_id);
-static void  FPT_scwtsel(unsigned long p_port);
-static void  FPT_inisci(unsigned char p_card, unsigned long p_port, unsigned char p_our_id);
-static void  FPT_scsavdi(unsigned char p_card, unsigned long p_port);
-static unsigned char FPT_scmachid(unsigned char p_card, unsigned char p_id_string[]);
-
-
-static void  FPT_autoCmdCmplt(unsigned long p_port, unsigned char p_card);
-static void  FPT_autoLoadDefaultMap(unsigned long p_port);
-
-
-
-
-static struct sccb_mgr_tar_info FPT_sccbMgrTbl[MAX_CARDS][MAX_SCSI_TAR] = { { { 0 } } };
-static struct sccb_card FPT_BL_Card[MAX_CARDS] = { { 0 } };
-static SCCBSCAM_INFO FPT_scamInfo[MAX_SCSI_TAR] = { { { 0 } } };
-static struct nvram_info FPT_nvRamInfo[MAX_MB_CARDS] = { { 0 } };
-
+static void FPT_scwtsel(unsigned long p_port);
+static void FPT_inisci(unsigned char p_card, unsigned long p_port,
+		       unsigned char p_our_id);
+static void FPT_scsavdi(unsigned char p_card, unsigned long p_port);
+static unsigned char FPT_scmachid(unsigned char p_card,
+				  unsigned char p_id_string[]);
+
+static void FPT_autoCmdCmplt(unsigned long p_port, unsigned char p_card);
+static void FPT_autoLoadDefaultMap(unsigned long p_port);
+
+static struct sccb_mgr_tar_info FPT_sccbMgrTbl[MAX_CARDS][MAX_SCSI_TAR] =
+    { {{0}} };
+static struct sccb_card FPT_BL_Card[MAX_CARDS] = { {0} };
+static SCCBSCAM_INFO FPT_scamInfo[MAX_SCSI_TAR] = { {{0}} };
+static struct nvram_info FPT_nvRamInfo[MAX_MB_CARDS] = { {0} };
 
 static unsigned char FPT_mbCards = 0;
-static unsigned char FPT_scamHAString[] = {0x63, 0x07, 'B', 'U', 'S', 'L', 'O', 'G', 'I', 'C', \
-				   ' ', 'B', 'T', '-', '9', '3', '0', \
-				   0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, \
-				   0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20};
+static unsigned char FPT_scamHAString[] =
+    { 0x63, 0x07, 'B', 'U', 'S', 'L', 'O', 'G', 'I', 'C',
+	' ', 'B', 'T', '-', '9', '3', '0',
+	0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20,
+	0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20
+};
 
 static unsigned short FPT_default_intena = 0;
 
-
-static void (*FPT_s_PhaseTbl[8]) (unsigned long, unsigned char)= { 0 };
-
+static void (*FPT_s_PhaseTbl[8]) (unsigned long, unsigned char) = {
+0};
 
 /*---------------------------------------------------------------------
  *
@@ -1104,276 +933,270 @@ static void (*FPT_s_PhaseTbl[8]) (unsign
  *
  *---------------------------------------------------------------------*/
 
-static int FlashPoint_ProbeHostAdapter(struct sccb_mgr_info * pCardInfo)
+static int FlashPoint_ProbeHostAdapter(struct sccb_mgr_info *pCardInfo)
 {
-   static unsigned char first_time = 1;
-
-   unsigned char i,j,id,ScamFlg;
-   unsigned short temp,temp2,temp3,temp4,temp5,temp6;
-   unsigned long ioport;
-	struct nvram_info * pCurrNvRam;
-
-   ioport = pCardInfo->si_baseaddr;
+	static unsigned char first_time = 1;
 
+	unsigned char i, j, id, ScamFlg;
+	unsigned short temp, temp2, temp3, temp4, temp5, temp6;
+	unsigned long ioport;
+	struct nvram_info *pCurrNvRam;
 
-   if (RD_HARPOON(ioport+hp_vendor_id_0) != ORION_VEND_0)
-      return((int)FAILURE);
+	ioport = pCardInfo->si_baseaddr;
 
-   if ((RD_HARPOON(ioport+hp_vendor_id_1) != ORION_VEND_1))
-      return((int)FAILURE);
+	if (RD_HARPOON(ioport + hp_vendor_id_0) != ORION_VEND_0)
+		return ((int)FAILURE);
 
-   if ((RD_HARPOON(ioport+hp_device_id_0) != ORION_DEV_0))
-      return((int)FAILURE);
+	if ((RD_HARPOON(ioport + hp_vendor_id_1) != ORION_VEND_1))
+		return ((int)FAILURE);
 
-   if ((RD_HARPOON(ioport+hp_device_id_1) != ORION_DEV_1))
-      return((int)FAILURE);
+	if ((RD_HARPOON(ioport + hp_device_id_0) != ORION_DEV_0))
+		return ((int)FAILURE);
 
+	if ((RD_HARPOON(ioport + hp_device_id_1) != ORION_DEV_1))
+		return ((int)FAILURE);
 
-   if (RD_HARPOON(ioport+hp_rev_num) != 0x0f){
+	if (RD_HARPOON(ioport + hp_rev_num) != 0x0f) {
 
 /* For new Harpoon then check for sub_device ID LSB
    the bits(0-3) must be all ZERO for compatible with
    current version of SCCBMgr, else skip this Harpoon
 	device. */
 
-	   if (RD_HARPOON(ioport+hp_sub_device_id_0) & 0x0f)
-	      return((int)FAILURE);
+		if (RD_HARPOON(ioport + hp_sub_device_id_0) & 0x0f)
+			return ((int)FAILURE);
 	}
 
-   if (first_time)
-      {
-      FPT_SccbMgrTableInitAll();
-      first_time = 0;
+	if (first_time) {
+		FPT_SccbMgrTableInitAll();
+		first_time = 0;
 		FPT_mbCards = 0;
-      }
+	}
 
-	if(FPT_RdStack(ioport, 0) != 0x00) {
-		if(FPT_ChkIfChipInitialized(ioport) == 0)
-		{
+	if (FPT_RdStack(ioport, 0) != 0x00) {
+		if (FPT_ChkIfChipInitialized(ioport) == 0) {
 			pCurrNvRam = NULL;
-		   WR_HARPOON(ioport+hp_semaphore, 0x00);
-			FPT_XbowInit(ioport, 0);             /*Must Init the SCSI before attempting */
+			WR_HARPOON(ioport + hp_semaphore, 0x00);
+			FPT_XbowInit(ioport, 0);	/*Must Init the SCSI before attempting */
 			FPT_DiagEEPROM(ioport);
-		}
-		else
-		{
-			if(FPT_mbCards < MAX_MB_CARDS) {
+		} else {
+			if (FPT_mbCards < MAX_MB_CARDS) {
 				pCurrNvRam = &FPT_nvRamInfo[FPT_mbCards];
 				FPT_mbCards++;
 				pCurrNvRam->niBaseAddr = ioport;
 				FPT_RNVRamData(pCurrNvRam);
-			}else
-				return((int) FAILURE);
+			} else
+				return ((int)FAILURE);
 		}
-	}else
+	} else
 		pCurrNvRam = NULL;
 
-   WR_HARPOON(ioport+hp_clkctrl_0, CLKCTRL_DEFAULT);
-   WR_HARPOON(ioport+hp_sys_ctrl, 0x00);
+	WR_HARPOON(ioport + hp_clkctrl_0, CLKCTRL_DEFAULT);
+	WR_HARPOON(ioport + hp_sys_ctrl, 0x00);
 
-	if(pCurrNvRam)
+	if (pCurrNvRam)
 		pCardInfo->si_id = pCurrNvRam->niAdapId;
 	else
-	   pCardInfo->si_id = (unsigned char)(FPT_utilEERead(ioport, (ADAPTER_SCSI_ID/2)) &
-   	   (unsigned char)0x0FF);
-
-   pCardInfo->si_lun = 0x00;
-   pCardInfo->si_fw_revision = ORION_FW_REV;
-   temp2 = 0x0000;
-   temp3 = 0x0000;
-   temp4 = 0x0000;
-   temp5 = 0x0000;
-   temp6 = 0x0000;
+		pCardInfo->si_id =
+		    (unsigned
+		     char)(FPT_utilEERead(ioport,
+					  (ADAPTER_SCSI_ID /
+					   2)) & (unsigned char)0x0FF);
+
+	pCardInfo->si_lun = 0x00;
+	pCardInfo->si_fw_revision = ORION_FW_REV;
+	temp2 = 0x0000;
+	temp3 = 0x0000;
+	temp4 = 0x0000;
+	temp5 = 0x0000;
+	temp6 = 0x0000;
 
-   for (id = 0; id < (16/2); id++) {
+	for (id = 0; id < (16 / 2); id++) {
 
-		if(pCurrNvRam){
-			temp = (unsigned short) pCurrNvRam->niSyncTbl[id];
+		if (pCurrNvRam) {
+			temp = (unsigned short)pCurrNvRam->niSyncTbl[id];
 			temp = ((temp & 0x03) + ((temp << 4) & 0xc0)) +
-					 (((temp << 4) & 0x0300) + ((temp << 8) & 0xc000));
-		}else
-	      temp = FPT_utilEERead(ioport, (unsigned short)((SYNC_RATE_TBL/2)+id));
-
-      for (i = 0; i < 2; temp >>=8,i++) {
-
-         temp2 >>= 1;
-         temp3 >>= 1;
-         temp4 >>= 1;
-         temp5 >>= 1;
-         temp6 >>= 1;
-	 switch (temp & 0x3)
-	   {
-	   case AUTO_RATE_20:	/* Synchronous, 20 mega-transfers/second */
-	     temp6 |= 0x8000;	/* Fall through */
-	   case AUTO_RATE_10:	/* Synchronous, 10 mega-transfers/second */
-	     temp5 |= 0x8000;	/* Fall through */
-	   case AUTO_RATE_05:	/* Synchronous, 5 mega-transfers/second */
-	     temp2 |= 0x8000;	/* Fall through */
-	   case AUTO_RATE_00:	/* Asynchronous */
-	     break;
-	   }
+			    (((temp << 4) & 0x0300) + ((temp << 8) & 0xc000));
+		} else
+			temp =
+			    FPT_utilEERead(ioport,
+					   (unsigned short)((SYNC_RATE_TBL / 2)
+							    + id));
+
+		for (i = 0; i < 2; temp >>= 8, i++) {
+
+			temp2 >>= 1;
+			temp3 >>= 1;
+			temp4 >>= 1;
+			temp5 >>= 1;
+			temp6 >>= 1;
+			switch (temp & 0x3) {
+			case AUTO_RATE_20:	/* Synchronous, 20 mega-transfers/second */
+				temp6 |= 0x8000;	/* Fall through */
+			case AUTO_RATE_10:	/* Synchronous, 10 mega-transfers/second */
+				temp5 |= 0x8000;	/* Fall through */
+			case AUTO_RATE_05:	/* Synchronous, 5 mega-transfers/second */
+				temp2 |= 0x8000;	/* Fall through */
+			case AUTO_RATE_00:	/* Asynchronous */
+				break;
+			}
 
-         if (temp & DISC_ENABLE_BIT)
-	   temp3 |= 0x8000;
+			if (temp & DISC_ENABLE_BIT)
+				temp3 |= 0x8000;
 
-         if (temp & WIDE_NEGO_BIT)
-	   temp4 |= 0x8000;
+			if (temp & WIDE_NEGO_BIT)
+				temp4 |= 0x8000;
 
-         }
-      }
+		}
+	}
 
-   pCardInfo->si_per_targ_init_sync = temp2;
-   pCardInfo->si_per_targ_no_disc = temp3;
-   pCardInfo->si_per_targ_wide_nego = temp4;
-   pCardInfo->si_per_targ_fast_nego = temp5;
-   pCardInfo->si_per_targ_ultra_nego = temp6;
+	pCardInfo->si_per_targ_init_sync = temp2;
+	pCardInfo->si_per_targ_no_disc = temp3;
+	pCardInfo->si_per_targ_wide_nego = temp4;
+	pCardInfo->si_per_targ_fast_nego = temp5;
+	pCardInfo->si_per_targ_ultra_nego = temp6;
 
-	if(pCurrNvRam)
+	if (pCurrNvRam)
 		i = pCurrNvRam->niSysConf;
 	else
-	   i = (unsigned char)(FPT_utilEERead(ioport, (SYSTEM_CONFIG/2)));
+		i = (unsigned
+		     char)(FPT_utilEERead(ioport, (SYSTEM_CONFIG / 2)));
 
-	if(pCurrNvRam)
+	if (pCurrNvRam)
 		ScamFlg = pCurrNvRam->niScamConf;
 	else
-	   ScamFlg = (unsigned char) FPT_utilEERead(ioport, SCAM_CONFIG/2);
-
-   pCardInfo->si_flags = 0x0000;
-
-   if (i & 0x01)
-      pCardInfo->si_flags |= SCSI_PARITY_ENA;
-
-   if (!(i & 0x02))
-      pCardInfo->si_flags |= SOFT_RESET;
-
-   if (i & 0x10)
-      pCardInfo->si_flags |= EXTENDED_TRANSLATION;
-
-   if (ScamFlg & SCAM_ENABLED)
-     pCardInfo->si_flags |= FLAG_SCAM_ENABLED;
-
-   if (ScamFlg & SCAM_LEVEL2)
-     pCardInfo->si_flags |= FLAG_SCAM_LEVEL2;
-
-   j = (RD_HARPOON(ioport+hp_bm_ctrl) & ~SCSI_TERM_ENA_L);
-   if (i & 0x04) {
-      j |= SCSI_TERM_ENA_L;
-      }
-   WR_HARPOON(ioport+hp_bm_ctrl, j );
-
-   j = (RD_HARPOON(ioport+hp_ee_ctrl) & ~SCSI_TERM_ENA_H);
-   if (i & 0x08) {
-      j |= SCSI_TERM_ENA_H;
-      }
-   WR_HARPOON(ioport+hp_ee_ctrl, j );
-
-   if (!(RD_HARPOON(ioport+hp_page_ctrl) & NARROW_SCSI_CARD))
+		ScamFlg =
+		    (unsigned char)FPT_utilEERead(ioport, SCAM_CONFIG / 2);
 
-      pCardInfo->si_flags |= SUPPORT_16TAR_32LUN;
+	pCardInfo->si_flags = 0x0000;
 
-   pCardInfo->si_card_family = HARPOON_FAMILY;
-   pCardInfo->si_bustype = BUSTYPE_PCI;
-
-	if(pCurrNvRam){
-   	pCardInfo->si_card_model[0] = '9';
-		switch(pCurrNvRam->niModel & 0x0f){
-			case MODEL_LT:
-		   	pCardInfo->si_card_model[1] = '3';
-		   	pCardInfo->si_card_model[2] = '0';
-				break;
-			case MODEL_LW:
-		   	pCardInfo->si_card_model[1] = '5';
-		   	pCardInfo->si_card_model[2] = '0';
-				break;
-			case MODEL_DL:
-		   	pCardInfo->si_card_model[1] = '3';
-		   	pCardInfo->si_card_model[2] = '2';
-				break;
-			case MODEL_DW:
-		   	pCardInfo->si_card_model[1] = '5';
-		   	pCardInfo->si_card_model[2] = '2';
-				break;
-		}
-	}else{
-	   temp = FPT_utilEERead(ioport, (MODEL_NUMB_0/2));
-   	pCardInfo->si_card_model[0] = (unsigned char)(temp >> 8);
-	   temp = FPT_utilEERead(ioport, (MODEL_NUMB_2/2));
-
-   	pCardInfo->si_card_model[1] = (unsigned char)(temp & 0x00FF);
-	   pCardInfo->si_card_model[2] = (unsigned char)(temp >> 8);
-	}
-
-   if (pCardInfo->si_card_model[1] == '3')
-     {
-       if (RD_HARPOON(ioport+hp_ee_ctrl) & BIT(7))
-	 pCardInfo->si_flags |= LOW_BYTE_TERM;
-     }
-   else if (pCardInfo->si_card_model[2] == '0')
-     {
-       temp = RD_HARPOON(ioport+hp_xfer_pad);
-       WR_HARPOON(ioport+hp_xfer_pad, (temp & ~BIT(4)));
-       if (RD_HARPOON(ioport+hp_ee_ctrl) & BIT(7))
-	 pCardInfo->si_flags |= LOW_BYTE_TERM;
-       WR_HARPOON(ioport+hp_xfer_pad, (temp | BIT(4)));
-       if (RD_HARPOON(ioport+hp_ee_ctrl) & BIT(7))
-	 pCardInfo->si_flags |= HIGH_BYTE_TERM;
-       WR_HARPOON(ioport+hp_xfer_pad, temp);
-     }
-   else
-     {
-       temp = RD_HARPOON(ioport+hp_ee_ctrl);
-       temp2 = RD_HARPOON(ioport+hp_xfer_pad);
-       WR_HARPOON(ioport+hp_ee_ctrl, (temp | SEE_CS));
-       WR_HARPOON(ioport+hp_xfer_pad, (temp2 | BIT(4)));
-       temp3 = 0;
-       for (i = 0; i < 8; i++)
-	 {
-	   temp3 <<= 1;
-	   if (!(RD_HARPOON(ioport+hp_ee_ctrl) & BIT(7)))
-	     temp3 |= 1;
-	   WR_HARPOON(ioport+hp_xfer_pad, (temp2 & ~BIT(4)));
-	   WR_HARPOON(ioport+hp_xfer_pad, (temp2 | BIT(4)));
-	 }
-       WR_HARPOON(ioport+hp_ee_ctrl, temp);
-       WR_HARPOON(ioport+hp_xfer_pad, temp2);
-       if (!(temp3 & BIT(7)))
-	 pCardInfo->si_flags |= LOW_BYTE_TERM;
-       if (!(temp3 & BIT(6)))
-	 pCardInfo->si_flags |= HIGH_BYTE_TERM;
-     }
+	if (i & 0x01)
+		pCardInfo->si_flags |= SCSI_PARITY_ENA;
 
+	if (!(i & 0x02))
+		pCardInfo->si_flags |= SOFT_RESET;
+
+	if (i & 0x10)
+		pCardInfo->si_flags |= EXTENDED_TRANSLATION;
+
+	if (ScamFlg & SCAM_ENABLED)
+		pCardInfo->si_flags |= FLAG_SCAM_ENABLED;
+
+	if (ScamFlg & SCAM_LEVEL2)
+		pCardInfo->si_flags |= FLAG_SCAM_LEVEL2;
+
+	j = (RD_HARPOON(ioport + hp_bm_ctrl) & ~SCSI_TERM_ENA_L);
+	if (i & 0x04) {
+		j |= SCSI_TERM_ENA_L;
+	}
+	WR_HARPOON(ioport + hp_bm_ctrl, j);
+
+	j = (RD_HARPOON(ioport + hp_ee_ctrl) & ~SCSI_TERM_ENA_H);
+	if (i & 0x08) {
+		j |= SCSI_TERM_ENA_H;
+	}
+	WR_HARPOON(ioport + hp_ee_ctrl, j);
+
+	if (!(RD_HARPOON(ioport + hp_page_ctrl) & NARROW_SCSI_CARD))
+
+		pCardInfo->si_flags |= SUPPORT_16TAR_32LUN;
+
+	pCardInfo->si_card_family = HARPOON_FAMILY;
+	pCardInfo->si_bustype = BUSTYPE_PCI;
+
+	if (pCurrNvRam) {
+		pCardInfo->si_card_model[0] = '9';
+		switch (pCurrNvRam->niModel & 0x0f) {
+		case MODEL_LT:
+			pCardInfo->si_card_model[1] = '3';
+			pCardInfo->si_card_model[2] = '0';
+			break;
+		case MODEL_LW:
+			pCardInfo->si_card_model[1] = '5';
+			pCardInfo->si_card_model[2] = '0';
+			break;
+		case MODEL_DL:
+			pCardInfo->si_card_model[1] = '3';
+			pCardInfo->si_card_model[2] = '2';
+			break;
+		case MODEL_DW:
+			pCardInfo->si_card_model[1] = '5';
+			pCardInfo->si_card_model[2] = '2';
+			break;
+		}
+	} else {
+		temp = FPT_utilEERead(ioport, (MODEL_NUMB_0 / 2));
+		pCardInfo->si_card_model[0] = (unsigned char)(temp >> 8);
+		temp = FPT_utilEERead(ioport, (MODEL_NUMB_2 / 2));
+
+		pCardInfo->si_card_model[1] = (unsigned char)(temp & 0x00FF);
+		pCardInfo->si_card_model[2] = (unsigned char)(temp >> 8);
+	}
+
+	if (pCardInfo->si_card_model[1] == '3') {
+		if (RD_HARPOON(ioport + hp_ee_ctrl) & BIT(7))
+			pCardInfo->si_flags |= LOW_BYTE_TERM;
+	} else if (pCardInfo->si_card_model[2] == '0') {
+		temp = RD_HARPOON(ioport + hp_xfer_pad);
+		WR_HARPOON(ioport + hp_xfer_pad, (temp & ~BIT(4)));
+		if (RD_HARPOON(ioport + hp_ee_ctrl) & BIT(7))
+			pCardInfo->si_flags |= LOW_BYTE_TERM;
+		WR_HARPOON(ioport + hp_xfer_pad, (temp | BIT(4)));
+		if (RD_HARPOON(ioport + hp_ee_ctrl) & BIT(7))
+			pCardInfo->si_flags |= HIGH_BYTE_TERM;
+		WR_HARPOON(ioport + hp_xfer_pad, temp);
+	} else {
+		temp = RD_HARPOON(ioport + hp_ee_ctrl);
+		temp2 = RD_HARPOON(ioport + hp_xfer_pad);
+		WR_HARPOON(ioport + hp_ee_ctrl, (temp | SEE_CS));
+		WR_HARPOON(ioport + hp_xfer_pad, (temp2 | BIT(4)));
+		temp3 = 0;
+		for (i = 0; i < 8; i++) {
+			temp3 <<= 1;
+			if (!(RD_HARPOON(ioport + hp_ee_ctrl) & BIT(7)))
+				temp3 |= 1;
+			WR_HARPOON(ioport + hp_xfer_pad, (temp2 & ~BIT(4)));
+			WR_HARPOON(ioport + hp_xfer_pad, (temp2 | BIT(4)));
+		}
+		WR_HARPOON(ioport + hp_ee_ctrl, temp);
+		WR_HARPOON(ioport + hp_xfer_pad, temp2);
+		if (!(temp3 & BIT(7)))
+			pCardInfo->si_flags |= LOW_BYTE_TERM;
+		if (!(temp3 & BIT(6)))
+			pCardInfo->si_flags |= HIGH_BYTE_TERM;
+	}
 
-   ARAM_ACCESS(ioport);
+	ARAM_ACCESS(ioport);
 
-   for ( i = 0; i < 4; i++ ) {
+	for (i = 0; i < 4; i++) {
 
-      pCardInfo->si_XlatInfo[i] =
-         RD_HARPOON(ioport+hp_aramBase+BIOS_DATA_OFFSET+i);
-      }
+		pCardInfo->si_XlatInfo[i] =
+		    RD_HARPOON(ioport + hp_aramBase + BIOS_DATA_OFFSET + i);
+	}
 
 	/* return with -1 if no sort, else return with
 	   logical card number sorted by BIOS (zero-based) */
 
 	pCardInfo->si_relative_cardnum =
-	(unsigned char)(RD_HARPOON(ioport+hp_aramBase+BIOS_RELATIVE_CARD)-1);
+	    (unsigned
+	     char)(RD_HARPOON(ioport + hp_aramBase + BIOS_RELATIVE_CARD) - 1);
 
-   SGRAM_ACCESS(ioport);
+	SGRAM_ACCESS(ioport);
 
-   FPT_s_PhaseTbl[0] = FPT_phaseDataOut;
-   FPT_s_PhaseTbl[1] = FPT_phaseDataIn;
-   FPT_s_PhaseTbl[2] = FPT_phaseIllegal;
-   FPT_s_PhaseTbl[3] = FPT_phaseIllegal;
-   FPT_s_PhaseTbl[4] = FPT_phaseCommand;
-   FPT_s_PhaseTbl[5] = FPT_phaseStatus;
-   FPT_s_PhaseTbl[6] = FPT_phaseMsgOut;
-   FPT_s_PhaseTbl[7] = FPT_phaseMsgIn;
+	FPT_s_PhaseTbl[0] = FPT_phaseDataOut;
+	FPT_s_PhaseTbl[1] = FPT_phaseDataIn;
+	FPT_s_PhaseTbl[2] = FPT_phaseIllegal;
+	FPT_s_PhaseTbl[3] = FPT_phaseIllegal;
+	FPT_s_PhaseTbl[4] = FPT_phaseCommand;
+	FPT_s_PhaseTbl[5] = FPT_phaseStatus;
+	FPT_s_PhaseTbl[6] = FPT_phaseMsgOut;
+	FPT_s_PhaseTbl[7] = FPT_phaseMsgIn;
 
-   pCardInfo->si_present = 0x01;
+	pCardInfo->si_present = 0x01;
 
-   return(0);
+	return (0);
 }
 
-
 /*---------------------------------------------------------------------
  *
  * Function: FlashPoint_HardwareResetHostAdapter
